' VB-Script, das alle Files eines Verzeichnisses
' entsprechend ihrem DateLastModified umbenennt.
'
' Version 25.5.2003 (C) Henning Stcklein
'
' nderungen:
' - Leading Zeros bei Bild-Sequenzen (die G2 macht bis zu 12 Bilder pro Sequenz !)

strPath = "."
Set FS = CreateObject("Scripting.FileSystemObject")
Set fFolder = FS.GetFolder(strPath)
Set fFiles = fFolder.Files

Dim strArray(5000)

i = 1
For Each fFile in fFiles
  if (LCase(Right(fFile.Name, 4)) = ".jpg") AND ((LCase(Left(fFile.Name, 4)) = "dscn") OR (LCase(Left(fFile.Name, 4)) = "img_")) Then 
    strArray(i) = fFile.Name
    i = i + 1
  end if
Next

For j = 1 To i-1
    Set fFile = FS.GetFile(strArray(j))
    strDate = fFile.DateLastModified
'    fDebug.WriteLine(strDate)
'    strExt = Right(fFile.Name,InStrRev(fFile.Name, ".")-1)

    strMonth = Month(strDate)
    if len(strMonth) < 2 then
        strMonth = "0" & strMonth
    end if

    strDay = Day(strDate)
    if len(strDay) < 2 then
        strDay = "0" & strDay
    end if

    strHour = Hour(strDate)
    if len(strHour) < 2 then
        strHour = "0" & strHour
    end if

    strMinute = Minute(strDate)
    if len(strMinute) < 2 then
        strMinute = "0" & strMinute
    end if

    strSecond = Second(strDate)
    do while len(strSecond) < 2
        strSecond = "0" & strSecond
    Loop

    strTmpName = Right(Year(strDate),2) & strMonth & strDay & "-" & strHour & strMinute & strSecond
    strNewName = strTmpName & ".jpg"
    k = 1
    do while FS.FileExists(strNewName)
		if (k<10) then			' create leading zero
		   strK = "0" & k
		else
		   strK = k
		end if
		strNewName = strTmpName & "-" & strK & ".jpg"
		k = k + 1
    Loop
    fFile.Name = strNewName
Next

strAnz = i-1
MsgBox "Es wurden " & strAnz & " Dateien umbenannt.", vbInformation, "Nikon Picture Rename Script"
